## GOCmdContext GOCmdContext |

## Functions

void | go_cmd_context_error ()
void | go_cmd_context_error_export ()
void | go_cmd_context_error_import ()
void | go_cmd_context_error_info ()
void | go_cmd_context_error_info_list ()
void | go_cmd_context_error_invalid ()
void | go_cmd_context_error_system ()
char * | go_cmd_context_get_password ()
void | go_cmd_context_progress_message_set ()
void | go_cmd_context_progress_set ()
void | go_cmd_context_set_sensitive ()
GQuark | go_error_export ()
GQuark | go_error_import ()
GQuark | go_error_invalid ()
GQuark | go_error_system ()

## Types and Values

| GOCmdContextClass

## Description

## Functions

### go_cmd_context_error ()

    void
    go_cmd_context_error (GOCmdContext *cc,
                          GError *err);

### go_cmd_context_error_export ()

    void
    go_cmd_context_error_export (GOCmdContext *cc,
                                 char const *msg);

### go_cmd_context_error_import ()

    void
    go_cmd_context_error_import (GOCmdContext *cc,
                                 char const *msg);

### go_cmd_context_error_info ()

    void
    go_cmd_context_error_info (GOCmdContext *cc,
                               GOErrorInfo *stack);

### go_cmd_context_error_info_list ()

    void
    go_cmd_context_error_info_list (GOCmdContext *cc,
                                    GSList *stack);

Sends a list of errors to the command context.

#### Parameters

cc | GOCmdContext |
stack | a list of errors. | [element-type GOErrorInfo]

### go_cmd_context_error_invalid ()

    void
    go_cmd_context_error_invalid (GOCmdContext *cc,
                                  char const *msg,
                                  char const *val);

### go_cmd_context_error_system ()

    void
    go_cmd_context_error_system (GOCmdContext *cc,
                                 char const *msg);

### go_cmd_context_get_password ()

    char *
    go_cmd_context_get_password (GOCmdContext *cc,
                                 char const *fname);

### go_cmd_context_progress_message_set ()

    void
    go_cmd_context_progress_message_set (GOCmdContext *gcc,
                                         char const *msg);

### go_cmd_context_progress_set ()

    void
    go_cmd_context_progress_set (GOCmdContext *gcc,
                                 double f);

### go_cmd_context_set_sensitive ()

    void
    go_cmd_context_set_sensitive (GOCmdContext *cc,
                                  gboolean flag);

### go_error_export ()

    GQuark
    go_error_export (void);

### go_error_import ()

    GQuark
    go_error_import (void);

### go_error_invalid ()

    GQuark
    go_error_invalid (void);

### go_error_system ()

    GQuark
    go_error_system (void);

## Types and Values

### GOCmdContextClass

    typedef struct {
    	GTypeInterface base;

    	char *  (*get_password)		(GOCmdContext *gcc,
    					 char const *filename);
    	void    (*set_sensitive) (GOCmdContext *gcc,
    					 gboolean sensitive);
    	struct _GOCmdContextIface {
    		void (*error)		(GOCmdContext *gcc, GError *err);
    		void (*error_info)  	(GOCmdContext *gcc, GOErrorInfo *err);
    		void (*error_info_list) (GOCmdContext *gcc, GSList *errs);
    	} error;

    	void    (*progress_set)		(GOCmdContext *gcc, double val);
    	void    (*progress_message_set) (GOCmdContext *gcc, gchar const *msg);
    } GOCmdContextClass;

#### Members

GTypeInterface `base`; | base interface. |
`get_password` () | retrieves a password. |
`set_sensitive` () | sets sensitivity. |
`progress_set` () | sets the progress value. |
`progress_message_set` () | sets the ptogress message. |